# QXmlReader Class Reference

### [com.trolltech.qt.xml package]

### Constructor

- void QXmlReader()

### Constructor Properties

- prototype: The QXmlReader prototype object

### Prototype Object Properties

- QXmlDTDHandler DTDHandler()
- QXmlContentHandler contentHandler()
- QXmlDeclHandler declHandler()
- QXmlEntityResolver entityResolver()
- QXmlErrorHandler errorHandler()
- bool feature(String name)
- bool hasFeature(String name)
- bool hasProperty(String name)
- QXmlLexicalHandler lexicalHandler()
- bool parse(QXmlInputSource input)
- void property(String name)
- void setContentHandler(QXmlContentHandler handler)
- void setDTDHandler(QXmlDTDHandler handler)
- void setDeclHandler(QXmlDeclHandler handler)
- void setEntityResolver(QXmlEntityResolver handler)
- void setErrorHandler(QXmlErrorHandler handler)
- void setFeature(String name, bool value)
- void setLexicalHandler(QXmlLexicalHandler handler)
- void setProperty(String name, void value)

### Instance Properties

QXmlReader objects have no special properties beyond those inherited from the QXmlReader prototype object.